ReferenceCompanies
Create an authorised person
Adds an authorised person to the company and returns the stored row. Requires `Permissions.Companies.Create`.
POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32application/json- body
companyId?|Format
int32email?|Length
length <= 50id?|Format
int32isInactive?boolean|nullname?|Length
length <= 50number?|Length
length <= 80phone?|Length
length <= 20shouldSendMailTo?boolean|nullapplication/json- response
companyId?|Format
int32email?|Length
length <= 50id?|Format
int32isInactive?boolean|nullname?|Length
length <= 50number?|Length
length <= 80phone?|Length
length <= 20shouldSendMailTo?boolean|nullcurl -X POST 'https://<your-instance>/api/companies/0/authorized-persons' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "companyId": 2, "email": "[email protected]", "isInactive": false, "name": "New AuthorizedPerson", "number": "1000001", "phone": "444555666", "shouldSendMailTo": true}'{ "companyId": 0, "email": "string", "id": 0, "isInactive": true, "name": "string", "number": "string", "phone": "string", "shouldSendMailTo": true}List authorised persons GET
Returns the people authorised to act for this company. Requires `Permissions.Companies.View`.
Get an authorised person GET
Returns one authorised person of the company — someone allowed to collect goods or sign for the company. 404 when they do not belong to `companyId`. Requires `Permissions.Companies.View`.